libnvme(2)

NAME
enum nvme_id_ns_rescap - This field indicates the reservation capabilities of the namespace.

SYNOPSIS
enum nvme_id_ns_rescap {
NVME_NS_RESCAP_PTPL ,
NVME_NS_RESCAP_WE ,
NVME_NS_RESCAP_EA ,
NVME_NS_RESCAP_WERO ,
NVME_NS_RESCAP_EARO ,
NVME_NS_RESCAP_WEAR ,
NVME_NS_RESCAP_EAAR ,
NVME_NS_RESCAP_IEK_13

};

Constants

NVME_NS_RESCAP_PTPL
    If set, indicates that the namespace supports the Persist Through Power Loss capability.

NVME_NS_RESCAP_WE
    If set, indicates that the namespace supports the Write Exclusive reservation type.

NVME_NS_RESCAP_EA
    If set, indicates that the namespace supports the Exclusive Access reservation type.

NVME_NS_RESCAP_WERO
    If set, indicates that the namespace supports the Write Exclusive - Registrants Only reservation type.

NVME_NS_RESCAP_EARO
    If set, indicates that the namespace supports the Exclusive Access - Registrants Only reservation type.

NVME_NS_RESCAP_WEAR
    If set, indicates that the namespace supports the Write Exclusive - All Registrants reservation type.

NVME_NS_RESCAP_EAAR
    If set, indicates that the namespace supports the Exclusive Access - All Registrants reservation type.

NVME_NS_RESCAP_IEK_13
    If set, indicates that Ignore Existing Key is used as defined in revision 1.3 or later of this specification.